package CHAPTER05;

class Example {
    // 객체가 GC에 의해 제거될 때 실행되는 finalize() 메서드 재정의
    @Override
    protected void finalize() throws Throwable {
        System.out.println("객체가 GC에 의해 제거됩니다.");
    }
}

public class FinalizeMethod {
    public static void main(String[] args) {
        Example obj = new Example(); // Example 객체 생성
        obj = null; // 객체에 대한 참조 제거 → GC 대상이 됨

        System.gc(); // GC 실행 요청 (즉시 실행 보장되지 않음)
    }
}